<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// VARIABLES
		$cV01 = $_POST['desde'];	/* DESDE */
		$cV02 = $_POST['hasta'];	/* HASTA */
		// PARAMETROS PARA EXPORTAR
		header("Pragma: public");
		header("Expires: 0");
		$filename = "Depositosautorizados.xls";
		header("Content-type: application/x-msdownload");
		header("Content-Disposition: attachment; filename=$filename");
		header("Pragma: no-cache");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		echo "
			<table>
				<thead>
					<tr>
						<th>FECHA</th>
						<th>CODCLIENTE</th>
						<th>BANCO</th>
						<th>DEPOSITOC</th>
						<th>VALORC</th>
						<th>DOCENTRY</th>
						<th>ID</th>
						<th>FECHA_ACCION</th>
						<th>HORA_ACCION</th>
						<th>REGISTRO</th>
						<th>AUTORIZO</th>
					</tr>
				</thead>
				<tbody>";
					// CONSULTA SQL
					$sql = "EXECUTE JOIN_DEPOSITOS_REPOR01 '".$cV01."' , '".$cV02."'";
					$pa1 = array();
					$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
					// Lanzar la consulta
					$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
					while($fila = sqlsrv_fetch_array($re1))
					{
						echo "
								<tr>
									<td>".$fila['FECHA']->format('Y-m-d')."</td>
									<td>".$fila['CODCLIENTE']."</td>
									<td>".$fila['BANCO']."</td>
									<td>".$fila['DEPOSITOC']."</td>
									<td>".$fila['VALORC']."</td>
									<td>".$fila['DOCENTRY']."</td>
									<td>".$fila['ID']."</td>
									<td>".$fila['FECHA_ACCION']."</td>
									<td>".$fila['HORA_ACCION']."</td>
									<td>".$fila['REGISTRO']."</td>
									<td>".$fila['NOMVENDEDOR']."</td>
								</tr>
						";
					}
				echo "
				</tbody>
			</table>
		";
	}
	// Desconexion
	sqlsrv_close($conexion);
?>